Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.exec
Class AbstractStatementExecutor

    java.lang.Object
      org.hibernate.hql.ast.exec.AbstractStatementExecutor

All Implemented Interfaces:
  StatementExecutor

Direct Known Subclasses:
  BasicExecutor, MultiTableDeleteExecutor, MultiTableUpdateExecutor

    public abstract class AbstractStatementExecutor

extends Object
implements StatementExecutor

Implementation of AbstractStatementExecutor.

Author:
  Steve Ebersole

Constructor Summary
`AbstractStatementExecutor(HqlSqlWalker walker, org.apache.commons.logging.Log log)`

Method Summary
`protected void` | `coordinateSharedCacheCleanup(SessionImplementor session)`
`protected void` | `createTemporaryTableIfNecessary(Queryable persister, SessionImplementor session)`
`protected void` | `dropTemporaryTableIfNecessary(Queryable persister, SessionImplementor session)`
`protected String` | `generateIdInsertSelect(Queryable persister, String tableAlias, antlr.collections.AST whereClause)`
`protected String` | `generateIdSubselect(Queryable persister)`
`protected abstract Queryable[]` | `getAffectedQueryables()`
`protected SessionFactoryImplementor` | `getFactory()`
`protected HqlSqlWalker` | `getWalker()`
`protected boolean` | `shouldIsolateTemporaryTableDDL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.ast.exec.StatementExecutor
`execute, getSqlStatements`

Constructor Detail

### AbstractStatementExecutor

    public AbstractStatementExecutor(HqlSqlWalker walker,
                                     org.apache.commons.logging.Log log)

Method Detail

### getWalker

    protected HqlSqlWalker getWalker()

### getFactory

    protected SessionFactoryImplementor getFactory()

### getAffectedQueryables

    protected abstract Queryable[] getAffectedQueryables()

### generateIdInsertSelect

    protected String generateIdInsertSelect(Queryable persister,
                                            String tableAlias,
                                            antlr.collections.AST whereClause)

### generateIdSubselect

    protected String generateIdSubselect(Queryable persister)

### createTemporaryTableIfNecessary

    protected void createTemporaryTableIfNecessary(Queryable persister,
                                                   SessionImplementor session)

### dropTemporaryTableIfNecessary

    protected void dropTemporaryTableIfNecessary(Queryable persister,
                                                 SessionImplementor session)

### coordinateSharedCacheCleanup

    protected void coordinateSharedCacheCleanup(SessionImplementor session)

### shouldIsolateTemporaryTableDDL

    protected boolean shouldIsolateTemporaryTableDDL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD